using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using LeedsBeerQuest.API.Controllers;
using LeedsBeerQuest.API.Data.Models;
using LeedsBeerQuest.API.Data.Services.Interfaces;
using LeedsBeerQuest.API.Tests.Data.Services;
using LeedsBeerQuest.API.Tests.TestHelpers;
using NSubstitute;
using NUnit.Framework;

namespace LeedsBeerQuest.API.Tests.Controllers;

[TestFixture]
public class TagControllerTests
{
    private ITagService _tagService;
    private TagController _tagController;

    [SetUp]
    public void SetUp()
    {
        _tagService = Substitute.For<ITagService>();
        _tagController = new TagController(_tagService);
    }

    [Test]
    public async Task GetTags_ReturnsOk_WithAllTags()
    {
        _tagService.GetTags().Returns(TestData.TagTestData);

        var result = await _tagController.GetTags();
        var resultObject = ControllerTestHelper.ActionResultToOkResultValue<IEnumerable<Tag>>(result);

        Assert.AreEqual(TestData.TagTestData.Length, resultObject.Count());
    }
}