using System;
using System.Collections.Generic;
using LeedsBeerQuest.API.Data.Models;

namespace LeedsBeerQuest.API.Tests.Data.Services;

public static class TestData
{
    public static Venue[] VenueTestData => new[]
    {
        new Venue
        {
            Id = 1,
            Name = "Venue 1",
            CategoryId = 1,
            Category = new Category
                {
                    Id = 1,
                    Name = "Category 1"
                },
            Url = "Venue URL",
            DateAttended = new DateTime(),
            Excerpt = "Venue Excerpt",
            Thumbnail = "Venue Thumbnail",
            Latitude = 1.23456m,
            Longitude = -4.27384m,
            Address = "Venue 1 Address",
            Phone = "07777777777",
            Twitter = "Venue Twitter",
            StarsBeer = 1.5m,
            StarsAtmosphere = 3,
            StarsAmenities = 4.5m,
            StarsValue = 4,
            Tags = new List<Tag>()
        }
    };

    public static Category[] CategoryTestData => new[]
    {
        new Category
        {
            Id = 1,
            Name = "Category 1"
        },
        new Category
        {
            Id = 2,
            Name = "Category 2"
        },
        new Category
        {
            Id = 3,
            Name = "Category 3"
        },
        new Category
        {
            Id = 4,
            Name = "Category 4"
        },
        new Category
        {
            Id = 5,
            Name = "Category 5"
        },

    };

    public static Tag[] TagTestData => new[]
    {
        new Tag
        {
            Id = 1,
            Name = "Tag 1",
        },
        new Tag
        {
            Id = 2,
            Name = "Tag 2",
        },
        new Tag
        {
            Id = 3,
            Name = "Tag 3",
        },
        new Tag
        {
            Id = 4,
            Name = "Tag 4",
        },
        new Tag
        {
            Id = 5,
            Name = "Tag 5",
        },

    };
}