using LeedsBeerQuest.API.Data.Models;
using LeedsBeerQuest.API.Data.Services.Interfaces;
using Microsoft.AspNetCore.Mvc;

namespace LeedsBeerQuest.API.Controllers;

[ApiController]
[Route("[controller]")]
public class TagController : ControllerBase
{
    private ITagService _tagService;

    public TagController(ITagService tagService)
    {
        _tagService = tagService;
    }

    [HttpGet]
    [ProducesResponseType(typeof(Tag), StatusCodes.Status200OK)]
    public async Task<IActionResult> GetTags()
    {
        var tags = await _tagService.GetTags();

        return Ok(tags);
    }
}