﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace LeedsBeerQuest.API.Data.Migrations
{
    public partial class Tags_Many_To_Many : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Tags_Venues_VenueId",
                table: "Tags");

            migrationBuilder.DropIndex(
                name: "IX_Tags_VenueId",
                table: "Tags");

            migrationBuilder.DropColumn(
                name: "VenueId",
                table: "Tags");

            migrationBuilder.CreateTable(
                name: "TagVenue",
                columns: table => new
                {
                    TagsId = table.Column<int>(type: "INTEGER", nullable: false),
                    VenuesId = table.Column<int>(type: "INTEGER", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_TagVenue", x => new { x.TagsId, x.VenuesId });
                    table.ForeignKey(
                        name: "FK_TagVenue_Tags_TagsId",
                        column: x => x.TagsId,
                        principalTable: "Tags",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_TagVenue_Venues_VenuesId",
                        column: x => x.VenuesId,
                        principalTable: "Venues",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateIndex(
                name: "IX_TagVenue_VenuesId",
                table: "TagVenue",
                column: "VenuesId");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "TagVenue");

            migrationBuilder.AddColumn<int>(
                name: "VenueId",
                table: "Tags",
                type: "INTEGER",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_Tags_VenueId",
                table: "Tags",
                column: "VenueId");

            migrationBuilder.AddForeignKey(
                name: "FK_Tags_Venues_VenueId",
                table: "Tags",
                column: "VenueId",
                principalTable: "Venues",
                principalColumn: "Id");
        }
    }
}
