import { Paper, Table, TableBody, TableCell, TableContainer, TableHead, TableRow } from '@mui/material';
import { TVenue } from '../lib/types';

export type TVenueGridProps = {
    venueData: TVenue[];
};

export function VenueGrid(props: TVenueGridProps) {
    const venueData = props.venueData;

    return(
        <TableContainer component={Paper}>
      <Table sx={{ minWidth: 650 }}>
        <TableHead>
          <TableRow>
            <TableCell>Name</TableCell>
            <TableCell align="left">Category</TableCell>
            <TableCell align="left">Date Visited</TableCell>
            <TableCell align="left">Excerpt</TableCell>
            <TableCell align="left">Tags</TableCell>
            <TableCell align="left">Phone</TableCell>
          </TableRow>
        </TableHead>
        <TableBody>
          {venueData.map((venue) => (
            <TableRow
              key={venue.name}
              sx={{ '&:last-child td, &:last-child th': { border: 0 } }}
            >
              <TableCell component="th" scope="row">
                {venue.name}
              </TableCell>
              <TableCell align="left">{venue.category.name}</TableCell>
              <TableCell align="left">{venue.dateAttended.toString()}</TableCell>
              <TableCell align="left">{venue.excerpt}</TableCell>
              <TableCell align="left">{venue.tags.map(t => `${t.name} `)}</TableCell>
              <TableCell align="left">{venue.phone}</TableCell>
            </TableRow>
          ))}
        </TableBody>
      </Table>
    </TableContainer>
    );
}