// import { expect, jest, describe, it } from '@jest/globals';
import { render } from '@testing-library/react';
import { Index } from '../../pages';
import { QueryClient, QueryClientProvider } from '@tanstack/react-query';

const queryClient = new QueryClient({
    defaultOptions: {
        queries: {
            retry: false,
        },
    },
});

describe("Given the index page", () => {
    it ("should render the page heading", () => {
        const { getByText } = render(
            <QueryClientProvider client={queryClient} >
                <Index/>
            </QueryClientProvider>
        );

        let el = getByText("Leeds Beer Quest");

        expect(el).not.toBeNull();
    });

    it ("should show an error when data fails to load", async () => {
        const { findByText } = render(
            <QueryClientProvider client={queryClient} >
                <Index/>
            </QueryClientProvider>
        );

        let el = await findByText("There has been an error fetching data!");

        expect(el).not.toBeNull();
    });
});