// Returns a value that represents a URL param string that supports arrays.
// Example: ?tag=one&tag=two&tag=three
export function ArrayToArrayUrlParams(paramName: string, params: string[], isFirstParam: boolean = true): string {
    // If the length is 0, we don't want to return anything to mess up the URL.
    if (params.length === 0) {
        return "";
    }

    // Depending on the location of the returned params, we should use the init character or the concat characer.
    let paramString = isFirstParam ? "?" : "&";
    params.forEach((param) => {
        paramString += `${paramName}=${param}&`;
    });

    // All values will have '&' at the end, let's chop it off before returning.
    return paramString.slice(0, -1);
}